{
  "$id": "http://example.com/example.json",
  "type": "object",
  "properties": {
    "criterias": {
      "$id": "/properties/criterias",
      "type": "array",
      "minItems": 1,
      "items": {
        "$id": "/properties/criterias/items",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "$id": "/properties/criterias/items/properties/id",
            "type": "string"
          },
          "family": {
            "$id": "/properties/criterias/items/properties/family",
            "type": "string"
          },
          "qrKey": {
            "$id": "/properties/criterias/items/properties/qrKey",
            "type": "string"
          },
          "relation": {
            "$id": "/properties/criterias/items/properties/relation",
            "type": "object",
            "properties": {
              "link": {
                "$id": "/properties/criterias/items/properties/relation/properties/link",
                "type": "string"
              },
              "building": {
                "$id": "/properties/criterias/items/properties/relation/properties/building",
                "type": "string"
              },
              "floor": {
                "$id": "/properties/criterias/items/properties/relation/properties/floor",
                "type": "string"
              }
            }
          },
          "infos": {
            "$id": "/properties/criterias/items/properties/infos",
            "type": "object",
            "properties": {
              "abc": {
                "$id": "/properties/criterias/items/properties/infos/properties/abc",
                "type": "string"
              }
            }
          }
        },
        "required": [
          "family",
          "infos"
        ]
      }
    }
  }
}